Windows: IPython PyLab: UserWarning: The top-level `frontend` package has been deprecated

This is a harmless warning which can be ignored.

The source is an outdated IPython PyLab shortcut, which will be corrected in an upcoming build of IPython. To eliminate the warning now, right-click the PyLab shortcut and click "Properties". In the "Target" field, you'll see text ending in:

...\Scripts\python.exe -c "import sys; from IPython.frontend.terminal.ipapp import launch_new_instance; sys.exit(launch_new_instance())" --pylab


Just change "IPython.frontend.terminal.ipapp" to "IPython.terminal.ipapp".

While you are at it, we suggest changing the very end of the target from "--pylab" to "--pylab=qt" so that your Pylab will run with Qt instead of the older Wx backend.

Have more questions? Submit a request

Comments

Powered by Zendesk